bcj.h File Reference

Branch/Call/Jump conversion filters. More...

## Data Structures

struct | lzma_options_bcj
| Options for BCJ filters. More...

## Macros

#define | LZMA_FILTER_X86 LZMA_VLI_C(0x04)
#define | LZMA_FILTER_POWERPC LZMA_VLI_C(0x05)
#define | LZMA_FILTER_IA64 LZMA_VLI_C(0x06)
#define | LZMA_FILTER_ARM LZMA_VLI_C(0x07)
#define | LZMA_FILTER_ARMTHUMB LZMA_VLI_C(0x08)
#define | LZMA_FILTER_SPARC LZMA_VLI_C(0x09)

## Detailed Description

Branch/Call/Jump conversion filters.

## Macro Definition Documentation

## LZMA_FILTER_X86

#define LZMA_FILTER_X86 LZMA_VLI_C(0x04)

Filter for x86 binaries

## LZMA_FILTER_POWERPC

#define LZMA_FILTER_POWERPC LZMA_VLI_C(0x05)

Filter for Big endian PowerPC binaries

## LZMA_FILTER_IA64

#define LZMA_FILTER_IA64 LZMA_VLI_C(0x06)

Filter for IA-64 (Itanium) binaries.

## LZMA_FILTER_ARM

#define LZMA_FILTER_ARM LZMA_VLI_C(0x07)

Filter for ARM binaries.

## LZMA_FILTER_ARMTHUMB

#define LZMA_FILTER_ARMTHUMB LZMA_VLI_C(0x08)

Filter for ARM-Thumb binaries.

## LZMA_FILTER_SPARC

#define LZMA_FILTER_SPARC LZMA_VLI_C(0x09)

Filter for SPARC binaries.